package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.TrafficAccidentRanking;
import com.lightinit.hsdatashow.entity.TrafficAccidentRankingExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface TrafficAccidentRankingMapper {
    long countByExample(TrafficAccidentRankingExample example);

    int deleteByExample(TrafficAccidentRankingExample example);

    int deleteByPrimaryKey(Long id);

    int insert(TrafficAccidentRanking record);

    int insertSelective(TrafficAccidentRanking record);

    List<TrafficAccidentRanking> selectByExample(TrafficAccidentRankingExample example);

    TrafficAccidentRanking selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") TrafficAccidentRanking record, @Param("example") TrafficAccidentRankingExample example);

    int updateByExample(@Param("record") TrafficAccidentRanking record, @Param("example") TrafficAccidentRankingExample example);

    int updateByPrimaryKeySelective(TrafficAccidentRanking record);

    int updateByPrimaryKey(TrafficAccidentRanking record);

    List<ChartModel> getTrafficAccidentRank();
}